=== debian/changelog ===
ros-kinetic-rviz-visual-tools (3.6.0-0xenial) xenial; urgency=high

  * Addresses Issue #49 - Default Constructor Not Nodelet Friendly
  * Added option to pass in a node handle in the constructor that defaults to
  * Reset marker should publish initialized quaternion
  * Improve code quality - add const, static, C++11 features, clang-format
  * Create demo executable for IMarkerSimple
  * Improve memory efficiency of functions
  * Contributors: Dave Coleman, Geoffrey Chiou, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 15 Jan 2018 07:00:00 -0000

ros-kinetic-rviz-visual-tools (3.5.1-0xenial) xenial; urgency=high

  * Normalize quaternion before storage
  * Fix for ambiguous function call to publishAxis
  * Add linking to visualization tools library for imarker_simple
  * Added arrow pub to take two points
  * Document clang-tidy
  * catkin lint
  * roslint applied
  * Clang-format again
  * Clang-tidy ALL
  * C++11 optimizations
  * Fix deprecated calls to convertFromXYZRPY
  * Add new convertPoseSafe() function
  * New convertFromXYZRPY() function to avoid deprecation warning
  * Allow to enable frame locking in the markers/markers arrays
  * Update license year
  * IMarkerSimple: set name and pose
  * New printTransformFull() function
  * Removed deprecated warning
  * New class for easily using 6dof imarkers
  * More options to tf_visual_tools
  * Update README.md
  * Contributors: Andy McEvoy, Dave Coleman, Fadri Furrer, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 25 Dec 2017 07:00:00 -0000

ros-kinetic-rviz-visual-tools (3.4.1-0xenial) xenial; urgency=high

  * Add dependency on QT5 for Ubuntu Zesty/Lunar support
  * Allow publishPath with std_msgs::ColorRGBA
  * Make INFO msg DEBUG
  * Contributors: Dave Coleman, Victor Lamoine

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 20 Jun 2017 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.4.0-0xenial) xenial; urgency=high

  * Consolidated publishing into RemoteReciever class
  * Improve console output
  * Add RvizGui and KeyTool
  * Enable remote control from withing rviz_visual_tools
  * New publishPath() function
  * Shorten number of lines printTranslation() requires
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Nov 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.3.0-0xenial) xenial; urgency=high

  * BREAKING CHANGE: Make batch publishing enabled by default
  * Removed enableInternalBatchPublishing()
  * Removed triggerInternalBatchPublishAndDisable()
  * Deprecated triggerBatchPublish() in favor of function name trigger()
  * Deprecated triggerBatchPublishAndDisable()
  * Ability to trigger every x markers that are in queue, ideal in for loops
  * New waitForMarkerPub() function that takes timeout
  * Add std::move
  * Added Docker for Kinetic
  * Added delay to demo to allow rviz to load in Docker
  * Change the sphere marker type from SPHERE_LIST to SPHERE - This makes irregularly scaled spheres (i.e. ellipsoids) to be rendered correctly.
  * Contributors: Dave Coleman, Miguel Prada

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 28 Sep 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.2.0-0xenial) xenial; urgency=high

  * Catkin depend on eigen and tf conversions
  * New warning
  * Added EulerConvention enum
  * Added new convertFromXYZRPY() function
  * Added new tests
  * Contributors: Dave Coleman, Enrique Fernandez

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 14 Jul 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.1.0-0xenial) xenial; urgency=high

  * Switched publishPath() to use cylinders
  * Added new publishLineStrip() function
  * Added new publishPath() functions
  * Added new publishAxis() functions
  * Update screenshot
  * Broke publishPath() API for recent addition - incorrect Eigen vector used
  * New publishPath() function for Affine3d
  * New publishAxis() functions that use scale
  * New publishAxisInternal() function for more efficient publishing
  * New publishAxisPath() function for showing a series of coordinate axis
  * Added warning for batch publishing when not enabled
  * Bug fix in publishLines() for id incrementing
  * New scaleToString() function
  * Bug fix for scaling in coordinate axis
  * Improved demo to have multiple scales visualized
  * Revert "Remove graph msgs"
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 06 Jul 2016 06:00:00 -0000

ros-kinetic-rviz-visual-tools (3.0.0-0xenial) xenial; urgency=high

  * Improve Travis script
  * Upgrade to Eigen3 per ROS Kinetic requirements
  * New screenshot
  * Refactored entire scaling method - all sizes of shapes have been affected
  * Renamed scales
  * Removed const reference for primitive types in function headers
  * Cleaned up getScale() function
  * New publishSpheres function
  * Two new tests & screenshot
  * Deprecated size REGULAR
  * Number scale sizes
  * New intToRvizScale() function
  * New publishSpheres() functions for showing list of lines AND colors
  * New publishLines() functions for using LINE_LIST
  * New publishCylinder() function that uses scales
  * Bug fix for getVectorBetweenPoints() when vector is all zeros
  * New printTranslation() function
  * added intToRvizColor() for interfaces that do not directly depend on Rviz Visual Tools, such as OMPL
  * publishPath with vector of colors
  * Update demo
  * New variant of publishPath with vector of colors
  * New publishSphere() helper
  * Add eigen_stl_containers
  * Add missing breaks in switch statement
  * Add namespace to ease debugging ROS messages
  * Do not pass Eigen structures by value
  * Fix all vector<Eigen> to EigenSTL::vector_Vector3d as recommended by @VictorLamoine
  * Hide upstream package cast warning
  * Overload new operator for Eigen structures
  * Changing the angles will change the opening angle of the cone
  * Better way to turn on C++11, maybe?
  * Removed deprecated code for Kinetic
  * Began converting to C++11

