=== debian/control ===
Source: ros-kinetic-rviz-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt5x11extras5-dev, ros-kinetic-catkin, ros-kinetic-eigen-conversions, ros-kinetic-eigen-stl-containers, ros-kinetic-geometry-msgs, ros-kinetic-graph-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-rviz, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf-conversions, ros-kinetic-trajectory-msgs, ros-kinetic-visualization-msgs
Homepage: https://github.com/davetcoleman/rviz_visual_tools
Standards-Version: 3.9.2

Package: ros-kinetic-rviz-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5x11extras5-dev, ros-kinetic-eigen-conversions, ros-kinetic-eigen-stl-containers, ros-kinetic-geometry-msgs, ros-kinetic-graph-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rviz, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf-conversions, ros-kinetic-trajectory-msgs, ros-kinetic-visualization-msgs
Description: Utility functions for displaying and debugging data in Rviz via published markers
